de.dhbwstuttgart.syntaxtree.statement

## Class BoolLiteral

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.Literal
          - - de.dhbwstuttgart.syntaxtree.statement.literal.BoolLiteral

- All Implemented Interfaces:
    IItemWithOffset, Typeable

      public class BoolLiteral
      extends Literal

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `Bool`
    `protected static Logger` | `parserlog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `usedid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoolLiteral()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get_Name()`
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `void` | `set_Bool(boolean b)`
    `ConstraintsSet` | `TYPEExpr(TypeAssumptions assumptions)`
    `void` | `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Literal

      `getPrimitiveFlag, setPrimitiveFlag`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TYPEStmt`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `getTypeLineNumber, getTypeName`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Bool

          private boolean Bool

    - #### parserlog

          protected static Logger parserlog

  - ### Constructor Detail

    - #### BoolLiteral

          public BoolLiteral()

  - ### Method Detail

    - #### set_Bool

          public void set_Bool(boolean b)

    - #### get_Name

          public java.lang.String get_Name()

      Specified by:
        `get_Name` in class `Expr`

    - #### TYPEExpr

          public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

      Specified by:
        `TYPEExpr` in class `Expr`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Specified by:
        `printJavaCode` in class `Statement`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`

    - #### wandleRefTypeAttributes2GenericAttributes

          public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                                Menge<GenericTypeVar> genericMethodParameters)

      Specified by:
        `wandleRefTypeAttributes2GenericAttributes` in class `Statement`